webpackJsonp([16],{

/***/ 720:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserLoginModule", function() { return UserLoginModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_login_page__ = __webpack_require__(767);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__register_home_service__ = __webpack_require__(729);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var UserLoginModule = /** @class */ (function () {
    function UserLoginModule() {
    }
    UserLoginModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__user_login_page__["a" /* userLoginPage */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__user_login_page__["a" /* userLoginPage */]),
            ],
            providers: [__WEBPACK_IMPORTED_MODULE_3__register_home_service__["a" /* registerHomeService */]],
            exports: [__WEBPACK_IMPORTED_MODULE_2__user_login_page__["a" /* userLoginPage */]]
        })
    ], UserLoginModule);
    return UserLoginModule;
}());

//# sourceMappingURL=user-login-page.module.js.map

/***/ }),

/***/ 729:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return registerHomeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Constants__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var registerHomeService = /** @class */ (function () {
    function registerHomeService(httpService) {
        this.httpService = httpService;
    }
    //获取地址联动
    registerHomeService.prototype.getAddressLinkageApi = function (objectid) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdownprovince';
        var postBody = {
            objectid: objectid
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //获取合作社列表
    registerHomeService.prototype.getCooperativeListApi = function (Province, City, Village, Prefecture) {
        if (Prefecture === void 0) { Prefecture = ""; }
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdowncooperatives';
        var postBody = {
            Province: Province,
            City: City,
            Village: Village,
            Prefecture: Prefecture
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户注册
    registerHomeService.prototype.userRegisterApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/register/register';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //合作社注册
    registerHomeService.prototype.cooperativeCreateApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/cooperative/create';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //用户登录
    registerHomeService.prototype.userLoginApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/login';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    registerHomeService.prototype.findPasswordApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    // 修改密码
    registerHomeService.prototype.updatePassword = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //发送验证码
    registerHomeService.prototype.sendCodeApi = function (mobile) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/sendcode';
        var postBody = {
            mobile: mobile,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //校验短信验证码
    registerHomeService.prototype.verifyCodeApi = function (mobile, code) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/verifycode';
        var postBody = {
            mobile: mobile,
            code: code
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户登录
    registerHomeService.prototype.getGeoCode = function (address) {
        var url = 'http://api.tianditu.gov.cn/geocoder?ds={"keyWord":"' + address + '"}&tk=b46ebf7c5ab36f4089c8736ca303f14e';
        return this.httpService.httpGet(url, null).map(function (res) { return res; });
    };
    registerHomeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */]])
    ], registerHomeService);
    return registerHomeService;
}());

//# sourceMappingURL=register-home.service.js.map

/***/ }),

/***/ 767:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return userLoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_alert_service__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_StorageService__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_GlobalData__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Validators__ = __webpack_require__(356);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Constants__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__register_home_service__ = __webpack_require__(729);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//service




//model


// declare var Wechat;
var userLoginPage = /** @class */ (function () {
    function userLoginPage(navCtrl, _registerHomeService, _GlobalData, _AlertService, _StorageService, _Validators) {
        this.navCtrl = navCtrl;
        this._registerHomeService = _registerHomeService;
        this._GlobalData = _GlobalData;
        this._AlertService = _AlertService;
        this._StorageService = _StorageService;
        this._Validators = _Validators;
        this.mobile = ''; // 账号
        this.password = ''; // 密码
        this.readflg = true;
        this.validation = false;
    }
    // 跳转到注册页面
    userLoginPage.prototype.goRegister = function () {
        this.navCtrl.push('RegisterPage');
    };
    // 校验手机号
    userLoginPage.prototype.checkPhoneValidation = function () {
        this.validation = this._Validators.checkPhone(this.mobile);
    };
    //跳转到忘记密码页
    userLoginPage.prototype.moveToUserForgetPasswordPage = function () {
        this.navCtrl.push('ModifyPasswordPage', { title: '忘记密码' });
    };
    userLoginPage.prototype.readPassword = function () {
        this.readflg = !this.readflg;
        if (this.readflg && this.password !== '') {
            this._StorageService.write('pass', this.password);
        }
    };
    //登录并跳转到首页
    userLoginPage.prototype.login = function () {
        var _this = this;
        if (this.validation && this.password != '') {
            var data = {
                "loginPost": {
                    "userName": this.mobile,
                    "password": this.password
                }
            };
            this._registerHomeService.userLoginApi(data).subscribe(function (data) {
                if (data.Entity.Code == 200) {
                    _this._StorageService.write(__WEBPACK_IMPORTED_MODULE_6__providers_Constants__["p" /* USER_ID */], data.Entity.Data.objid);
                    _this._StorageService.write(__WEBPACK_IMPORTED_MODULE_6__providers_Constants__["q" /* USER_INFO */], data.Entity.Data);
                    _this._GlobalData.set(__WEBPACK_IMPORTED_MODULE_6__providers_Constants__["c" /* CURRENT_USER_INFO */], data.Entity.Data);
                    _this.navCtrl.push('userHomePage');
                }
                else {
                    _this._AlertService.presentAlert(data.Entity.Message);
                }
            });
        }
    };
    userLoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'Page-user-login-page',template:/*ion-inline-start:"D:\project\njapp\farmapp\farms.app\src\pages\register-home\user-login-page\user-login-page.html"*/'<ion-content padding>\n  <!-- logo -->\n  <ion-row>\n    <ion-col col-12 text-center class="margin-top-50">\n      <img src="assets/imgs/auth/logo.png" class="logo"/>\n    </ion-col>\n    <ion-col col-12 text-center class="">\n      <img src="assets/imgs/auth/logo-text.png" class="logo-text"/>\n    </ion-col>\n    <ion-col col-12 text-center class="">\n      <img src="assets/imgs/auth/slogen.png" class="slogen"/>\n    </ion-col>\n  </ion-row>\n  <!-- 登录表单 -->\n  <ion-list class="aq-margin-top-32 aq-margin-bottom-0 aq-margin-left-16 aq-margin-right-16">\n    <ion-item class="item-height">\n      <ion-input [(ngModel)]="mobile" (input)="checkPhoneValidation()" no-margin text-left type="tel" placeholder="请输入手机号码" class="aq-text-size-medium"></ion-input>\n    </ion-item>\n  </ion-list>\n  <ion-list class="aq-margin-bottom-0 aq-margin-top-16 aq-margin-left-16 aq-margin-right-16">\n    <ion-item class="item-height" no-padding>\n      <ion-input [(ngModel)]="password" no-margin item-start text-left type="password" placeholder="请输入密码" class="aq-text-size-medium verify-code"></ion-input>\n      <button (click)="login()" [ngClass]="{\'color-gray\': validation == false || password == \'\', \'color-primary\': validation && password != \'\' }" no-padding no-margin item-end ion-button clear class="verify-button aq-text-size-medium">\n        登录\n      </button>\n    </ion-item>\n  </ion-list>\n  <div class="aq-margin-left-16 aq-margin-right-16 aq-margin-top-4">\n    <ion-row>\n      <ion-col col-6 class="aq-vertical-middle">\n        <img [hidden]="readflg != true" src="assets/imgs/auth/check-gray.png" class="aq-margin-right-4 check-img" />\n        <img [hidden]="readflg == true" src="assets/imgs/auth/empty-gray.png" class="check-img aq-margin-right-4" />\n        <span class="remember-password aq-text-size-medium" tappable (click)="readPassword()">记住密码</span>\n      </ion-col>\n      <ion-col col-6 class="aq-vertical-middle flex-end">\n        <span class="forgot-password aq-text-size-medium" tappable (click)="moveToUserForgetPasswordPage()">忘记密码?</span>\n      </ion-col>\n    </ion-row>\n  </div>\n\n  <ion-row class="aq-padding-bottom-8 aq-margin-left-16 aq-margin-right-16 aq-margin-top-32">\n    <ion-col col-12 class="aq-padding-right-8">\n      <button (click)="goRegister()" class="btn-custom btn-register" ion-button block color="light">\n        注册新账号\n      </button>\n    </ion-col>\n    <ion-col col-12 text-center class="aq-text-size-medium color-green">\n      版本号：3.0.0\n    </ion-col>\n  </ion-row>\n\n</ion-content>\n<!--<ion-footer padding>-->\n<!--</ion-footer>-->\n\n\n<!--<ion-content class="container-bg">-->\n<!--  <ion-row text-center class="padding-top-r20">-->\n<!--    <ion-col>-->\n<!--      <img src="assets/imgs/icon/icon.png" width="25%" class="aq-circle img-shadow">-->\n<!--      <br>-->\n<!--      <img src="assets/imgs/icon/slogen.png" width="60%" height="30px" margin-top="10px"  class="aq-circle img-shadow" alt="">-->\n<!--    </ion-col>-->\n<!--  </ion-row>-->\n<!--  <ion-row>-->\n<!--    <ion-col col-9  style="margin: 0 auto">-->\n<!--      <ion-item class="box" style="align-items: center;text-align: center;justify-content: center">-->\n<!--        <ion-input style="margin-top: 4%" type="number" placeholder="请输入手机号" [(ngModel)]="mobile"></ion-input>-->\n<!--      </ion-item>-->\n<!--      <div class="bigbox" style="display: flex;">-->\n<!--          <ion-item class="box1" style="align-items: center">-->\n<!--          <ion-input style="margin-top: 4%" type="number" placeholder="请输入密码" [(ngModel)]="password"></ion-input>-->\n<!--        </ion-item>-->\n<!--        <button  class="btn" [ngClass]="{\'loginss\' : password !== \'\' }" (click)="login()">登录</button>-->\n<!--      </div>-->\n<!--    </ion-col>-->\n<!--    <ion-col offset-2 col-8 text-center>-->\n<!--      <div class="text">-->\n<!--        <span class="pass" [ngClass]="{\'read\': readflg == true}" (click)="readpassword()"> <ion-icon name="checkmark-circle-outline"></ion-icon>-->\n<!--记住密码</span>-->\n<!--        <span style="color: black;border-bottom: 1px solid black" (click)="moveToUserForgetPasswordPage()">忘记密码</span>-->\n<!--      </div>-->\n\n<!--    </ion-col>-->\n<!--          <button ion-button block round (click)="moveToUserRegisterPage()"-->\n<!--            class="height-40 aq-margin-top-32 aq-bg-color-white-core aq-text-color-black-core magist" style="border: 1px solid gainsboro;width: 63%;margin-left:20%;border-radius: 10px">注册新用户</button>-->\n<!--    <ion-col offset-2 col-8 text-center>-->\n<!--      <p style="color: green">版本号：3.0.1B</p>-->\n<!--    </ion-col>-->\n<!--  </ion-row>-->\n<!--</ion-content>-->\n'/*ion-inline-end:"D:\project\njapp\farmapp\farms.app\src\pages\register-home\user-login-page\user-login-page.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_7__register_home_service__["a" /* registerHomeService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_2__providers_alert_service__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_StorageService__["a" /* StorageService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_Validators__["a" /* Validators */]])
    ], userLoginPage);
    return userLoginPage;
}());

//# sourceMappingURL=user-login-page.js.map

/***/ })

});
//# sourceMappingURL=16.js.map