webpackJsonp([17],{

/***/ 716:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserForgetPasswordModule", function() { return UserForgetPasswordModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_forget_password_page__ = __webpack_require__(763);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__register_home_service__ = __webpack_require__(729);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var UserForgetPasswordModule = /** @class */ (function () {
    function UserForgetPasswordModule() {
    }
    UserForgetPasswordModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__user_forget_password_page__["a" /* userForgetPasswordPage */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__user_forget_password_page__["a" /* userForgetPasswordPage */]),
            ],
            providers: [__WEBPACK_IMPORTED_MODULE_3__register_home_service__["a" /* registerHomeService */]],
            exports: [__WEBPACK_IMPORTED_MODULE_2__user_forget_password_page__["a" /* userForgetPasswordPage */]]
        })
    ], UserForgetPasswordModule);
    return UserForgetPasswordModule;
}());

//# sourceMappingURL=user-forget-password-page.module.js.map

/***/ }),

/***/ 729:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return registerHomeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Constants__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var registerHomeService = /** @class */ (function () {
    function registerHomeService(httpService) {
        this.httpService = httpService;
    }
    //获取地址联动
    registerHomeService.prototype.getAddressLinkageApi = function (objectid) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdownprovince';
        var postBody = {
            objectid: objectid
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //获取合作社列表
    registerHomeService.prototype.getCooperativeListApi = function (Province, City, Village, Prefecture) {
        if (Prefecture === void 0) { Prefecture = ""; }
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdowncooperatives';
        var postBody = {
            Province: Province,
            City: City,
            Village: Village,
            Prefecture: Prefecture
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户注册
    registerHomeService.prototype.userRegisterApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/register/register';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //合作社注册
    registerHomeService.prototype.cooperativeCreateApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/cooperative/create';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //用户登录
    registerHomeService.prototype.userLoginApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/login';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    registerHomeService.prototype.findPasswordApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    // 修改密码
    registerHomeService.prototype.updatePassword = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //发送验证码
    registerHomeService.prototype.sendCodeApi = function (mobile) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/sendcode';
        var postBody = {
            mobile: mobile,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //校验短信验证码
    registerHomeService.prototype.verifyCodeApi = function (mobile, code) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/verifycode';
        var postBody = {
            mobile: mobile,
            code: code
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户登录
    registerHomeService.prototype.getGeoCode = function (address) {
        var url = 'http://api.tianditu.gov.cn/geocoder?ds={"keyWord":"' + address + '"}&tk=b46ebf7c5ab36f4089c8736ca303f14e';
        return this.httpService.httpGet(url, null).map(function (res) { return res; });
    };
    registerHomeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */]])
    ], registerHomeService);
    return registerHomeService;
}());

//# sourceMappingURL=register-home.service.js.map

/***/ }),

/***/ 763:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return userForgetPasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_alert_service__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__register_home_service__ = __webpack_require__(729);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//pages
//service


//model
var userForgetPasswordPage = /** @class */ (function () {
    function userForgetPasswordPage(navCtrl, navParam, _registerHomeService, _AlertService) {
        this.navCtrl = navCtrl;
        this.navParam = navParam;
        this._registerHomeService = _registerHomeService;
        this._AlertService = _AlertService;
        //验证码倒计时
        this.verifyCode = {
            verifyCodeTips: "获取验证码",
            countdown: 60,
            disable: false
        };
        this.title = this.navParam.get('title');
    }
    // 短信倒计时
    userForgetPasswordPage.prototype.setTime = function () {
        var _this = this;
        this.verifyCode.disable = true;
        if (this.verifyCode.countdown == 1) {
            this.verifyCode.countdown = 60;
            this.verifyCode.verifyCodeTips = "重新获取";
            this.verifyCode.disable = false;
            return;
        }
        else {
            this.verifyCode.countdown--;
        }
        this.verifyCode.verifyCodeTips = "重新获取(" + this.verifyCode.countdown + ")";
        setTimeout(function () {
            _this.verifyCode.verifyCodeTips = "重新获取(" + _this.verifyCode.countdown + ")";
            _this.setTime();
        }, 1000);
    };
    // 发送短信
    userForgetPasswordPage.prototype.sendValidationCode = function () {
        this.setTime();
        this._registerHomeService.sendCodeApi(this.mobile).subscribe(function (data) {
        });
    };
    //修改密码
    userForgetPasswordPage.prototype.farmerRePassword = function () {
        var _this = this;
        if (this.password !== this.confirmPassword) {
            this._AlertService.presentAlert('两次输入的密码不一致,请重新输入');
            // return false;
        }
        else {
            var data = {
                "loginPost": {
                    "userName": this.mobile,
                    "password": this.password
                }
            };
            this._registerHomeService.findPasswordApi(data).subscribe(function (data) {
                if (data.Entity.Code == 200) {
                    _this.navCtrl.push('userLoginPage');
                }
                else {
                    _this._AlertService.presentAlert(data.Entity.Message);
                }
            });
        }
    };
    userForgetPasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'Page-user-forget-password-page',template:/*ion-inline-start:"D:\project\njapp\farmapp\farms.app\src\pages\register-home\user-forget-password-page\user-forget-password-page.html"*/'<ion-header>\n\n  <ion-navbar color="dark">\n\n    <ion-title>修改密码</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content class="aq-bg-color-grey-10">\n\n  <ion-item padding-right padding-top>\n\n    <ion-input class="aq-text-size-medium" type="tel" maxlength="11" placeholder="请输入手机号" [(ngModel)]="mobile"></ion-input>\n\n    <button item-end [disabled]="verifyCode?.disable" (click)="sendValidationCode()" ion-button clear class="aq-text-color-green-100 aq-text-size-normal">\n\n      {{verifyCode?.verifyCodeTips}}\n\n    </button>\n\n  </ion-item>\n\n  <ion-item padding-right padding-top>\n\n    <ion-input type="number" maxlength="6" placeholder="请输入验证码" [(ngModel)]="code"></ion-input>\n\n  </ion-item>\n\n  <ion-item padding-right padding-top>\n\n    <ion-input type="password" placeholder="请设置密码" [(ngModel)]="password"></ion-input>\n\n  </ion-item>\n\n  <ion-item padding-right padding-top class="aq-padding-bottom-48">\n\n    <ion-input type="password" placeholder="请确认密码" [(ngModel)]="confirmPassword"></ion-input>\n\n  </ion-item>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <ion-row>\n\n    <ion-col margin>\n\n      <button (click)="farmerRePassword()" ion-button block color="green" class="magist aq-text-color-white-core aq-padding-bottom-4 aq-padding-top-4">提交修改</button>\n\n    </ion-col>\n\n  </ion-row>\n\n</ion-footer>\n\n'/*ion-inline-end:"D:\project\njapp\farmapp\farms.app\src\pages\register-home\user-forget-password-page\user-forget-password-page.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__register_home_service__["a" /* registerHomeService */], __WEBPACK_IMPORTED_MODULE_2__providers_alert_service__["a" /* AlertService */]])
    ], userForgetPasswordPage);
    return userForgetPasswordPage;
}());

//# sourceMappingURL=user-forget-password-page.js.map

/***/ })

});
//# sourceMappingURL=17.js.map