webpackJsonp([18],{

/***/ 717:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RoleSelectModule", function() { return RoleSelectModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__role_select_page__ = __webpack_require__(764);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__register_home_service__ = __webpack_require__(729);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var RoleSelectModule = /** @class */ (function () {
    function RoleSelectModule() {
    }
    RoleSelectModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__role_select_page__["a" /* roleSelectPage */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__role_select_page__["a" /* roleSelectPage */]),
            ],
            providers: [__WEBPACK_IMPORTED_MODULE_3__register_home_service__["a" /* registerHomeService */]],
            exports: [__WEBPACK_IMPORTED_MODULE_2__role_select_page__["a" /* roleSelectPage */]]
        })
    ], RoleSelectModule);
    return RoleSelectModule;
}());

//# sourceMappingURL=role-select-page.module.js.map

/***/ }),

/***/ 729:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return registerHomeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Constants__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var registerHomeService = /** @class */ (function () {
    function registerHomeService(httpService) {
        this.httpService = httpService;
    }
    //获取地址联动
    registerHomeService.prototype.getAddressLinkageApi = function (objectid) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdownprovince';
        var postBody = {
            objectid: objectid
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //获取合作社列表
    registerHomeService.prototype.getCooperativeListApi = function (Province, City, Village, Prefecture) {
        if (Prefecture === void 0) { Prefecture = ""; }
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdowncooperatives';
        var postBody = {
            Province: Province,
            City: City,
            Village: Village,
            Prefecture: Prefecture
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户注册
    registerHomeService.prototype.userRegisterApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/register/register';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //合作社注册
    registerHomeService.prototype.cooperativeCreateApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/cooperative/create';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //用户登录
    registerHomeService.prototype.userLoginApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/login';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    registerHomeService.prototype.findPasswordApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    // 修改密码
    registerHomeService.prototype.updatePassword = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //发送验证码
    registerHomeService.prototype.sendCodeApi = function (mobile) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/sendcode';
        var postBody = {
            mobile: mobile,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //校验短信验证码
    registerHomeService.prototype.verifyCodeApi = function (mobile, code) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/verifycode';
        var postBody = {
            mobile: mobile,
            code: code
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户登录
    registerHomeService.prototype.getGeoCode = function (address) {
        var url = 'http://api.tianditu.gov.cn/geocoder?ds={"keyWord":"' + address + '"}&tk=b46ebf7c5ab36f4089c8736ca303f14e';
        return this.httpService.httpGet(url, null).map(function (res) { return res; });
    };
    registerHomeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */]])
    ], registerHomeService);
    return registerHomeService;
}());

//# sourceMappingURL=register-home.service.js.map

/***/ }),

/***/ 764:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return roleSelectPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var roleSelectPage = /** @class */ (function () {
    function roleSelectPage(navCtrl, navParam) {
        this.navCtrl = navCtrl;
        this.navParam = navParam;
        this.roles = [
            { id: 1, name: '合作社', selected: false, info: '管理多台农机和多名机手' },
            { id: 0, name: '机手', selected: false, info: '合作社驾驶员 / 自有一台农机' },
        ];
        this.data = this.navParam.get('data') ? this.navParam.get('data') : "";
    }
    roleSelectPage.prototype.ionViewDidLoad = function () { };
    // 选择角色
    roleSelectPage.prototype.chooseRole = function (index) {
        var _this = this;
        this.selectedRole = this.roles[index];
        setTimeout(function () {
            _this.navCtrl.push('roleInfoPage', { role: _this.selectedRole, data: _this.data });
        }, 150);
    };
    roleSelectPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'Page-role-select-page',template:/*ion-inline-start:"D:\project\njapp\farmapp\farms.app\src\pages\register-home\role-select\role-select-page.html"*/'<ion-content padding class="container-bg">\n\n  <div class="aq-padding-left-8 aq-padding-right-8">\n\n    <!-- 标题 -->\n\n    <ion-row>\n\n      <ion-col col-12 text-left class="margin-top-50">\n\n        <div class="title">请选择身份</div>\n\n        <div class="sub-title">快速获取您的农机信息，安全可靠</div>\n\n        <div></div>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-row class="aq-margin-top-32">\n\n      <ion-col col-12>\n\n        <div [ngClass]="{\'active-item\': selectedRole && selectedRole.id == 0 }" class="item-container aq-vertical-center" (click)="chooseRole(1)">\n\n          <div>\n\n            <div text-center>机手</div>\n\n            <div text-center class="description aq-text-size-medium">合作社驾驶员 / 自有一台农机</div>\n\n          </div>\n\n        </div>\n\n      </ion-col>\n\n      <ion-col col-12 class="aq-margin-top-12">\n\n        <div [ngClass]="{\'active-item\': selectedRole && selectedRole.id == 1 }" class="item-container aq-vertical-center" (click)="chooseRole(0)">\n\n          <div>\n\n            <div text-center>合作社</div>\n\n            <div text-center class="description aq-text-size-medium">管理多台农机和多名机手</div>\n\n          </div>\n\n        </div>\n\n      </ion-col>\n\n    </ion-row>\n\n  </div>\n\n</ion-content>\n\n\n\n<!--<ion-content >-->\n\n<!--  <ion-card class="aq-padding-32 aq-relative" (click)="selectRole(role)" *ngFor="let role of roles">-->\n\n<!--    <div class="aq-text-size-large" text-center>{{role.name}}</div>-->\n\n<!--    <p style="margin-top: 10%" text-center>{{role.info}}</p>-->\n\n<!--    <img *ngIf="role.selected" src="assets/imgs/icon/corner-select.png" alt="corner" class="corner">-->\n\n<!--  </ion-card>-->\n\n<!--</ion-content>-->\n\n'/*ion-inline-end:"D:\project\njapp\farmapp\farms.app\src\pages\register-home\role-select\role-select-page.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], roleSelectPage);
    return roleSelectPage;
}());

//# sourceMappingURL=role-select-page.js.map

/***/ })

});
//# sourceMappingURL=18.js.map