webpackJsonp([24],{

/***/ 700:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RegisterModule", function() { return RegisterModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__register__ = __webpack_require__(746);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__register_home_register_home_service__ = __webpack_require__(729);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var RegisterModule = /** @class */ (function () {
    function RegisterModule() {
    }
    RegisterModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__register__["a" /* RegisterPage */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__register__["a" /* RegisterPage */])
            ],
            providers: [__WEBPACK_IMPORTED_MODULE_3__register_home_register_home_service__["a" /* registerHomeService */]],
            exports: [__WEBPACK_IMPORTED_MODULE_2__register__["a" /* RegisterPage */]]
        })
    ], RegisterModule);
    return RegisterModule;
}());

//# sourceMappingURL=register.module.js.map

/***/ }),

/***/ 729:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return registerHomeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Constants__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var registerHomeService = /** @class */ (function () {
    function registerHomeService(httpService) {
        this.httpService = httpService;
    }
    //获取地址联动
    registerHomeService.prototype.getAddressLinkageApi = function (objectid) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdownprovince';
        var postBody = {
            objectid: objectid
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //获取合作社列表
    registerHomeService.prototype.getCooperativeListApi = function (Province, City, Village, Prefecture) {
        if (Prefecture === void 0) { Prefecture = ""; }
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdowncooperatives';
        var postBody = {
            Province: Province,
            City: City,
            Village: Village,
            Prefecture: Prefecture
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户注册
    registerHomeService.prototype.userRegisterApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/register/register';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //合作社注册
    registerHomeService.prototype.cooperativeCreateApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/cooperative/create';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //用户登录
    registerHomeService.prototype.userLoginApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/login';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    registerHomeService.prototype.findPasswordApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    // 修改密码
    registerHomeService.prototype.updatePassword = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //发送验证码
    registerHomeService.prototype.sendCodeApi = function (mobile) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/sendcode';
        var postBody = {
            mobile: mobile,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //校验短信验证码
    registerHomeService.prototype.verifyCodeApi = function (mobile, code) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/verifycode';
        var postBody = {
            mobile: mobile,
            code: code
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户登录
    registerHomeService.prototype.getGeoCode = function (address) {
        var url = 'http://api.tianditu.gov.cn/geocoder?ds={"keyWord":"' + address + '"}&tk=b46ebf7c5ab36f4089c8736ca303f14e';
        return this.httpService.httpGet(url, null).map(function (res) { return res; });
    };
    registerHomeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */]])
    ], registerHomeService);
    return registerHomeService;
}());

//# sourceMappingURL=register-home.service.js.map

/***/ }),

/***/ 746:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RegisterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Validators__ = __webpack_require__(356);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__register_home_register_home_service__ = __webpack_require__(729);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_alert_service__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_GlobalData__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Constants__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var RegisterPage = /** @class */ (function () {
    function RegisterPage(navCtrl, _Validators, _registerHomeService, _AlertService, _GlobalData) {
        this.navCtrl = navCtrl;
        this._Validators = _Validators;
        this._registerHomeService = _registerHomeService;
        this._AlertService = _AlertService;
        this._GlobalData = _GlobalData;
        this.validation = false;
        //验证码倒计时
        this.verifyCode = {
            verifyCodeTips: "获取验证码",
            countdown: 60,
            disable: false
        };
        this.verifyNum = ''; // 验证码
        this.mobile = ''; // 手机号
        this.password = ''; // 密码
        this.confirmPassword = ''; // 二次确认密码
    }
    // 校验手机号
    RegisterPage.prototype.checkPhoneValidation = function () {
        this.validation = this._Validators.checkPhone(this.mobile);
    };
    // 发送短信
    RegisterPage.prototype.sendValidationCode = function () {
        var _this = this;
        if (this.validation && this.verifyCode.disable == false) {
            // 发送请求获取验证码
            this._registerHomeService.sendCodeApi(this.mobile).subscribe(function (data) {
                if (data.Entity.Code == 200) {
                    _this.setTime();
                }
            });
        }
    };
    // 短信倒计时
    RegisterPage.prototype.setTime = function () {
        var _this = this;
        this.verifyCode.disable = true;
        if (this.verifyCode.countdown == 1) {
            this.verifyCode.countdown = 60;
            this.verifyCode.verifyCodeTips = "已发送";
            this.verifyCode.disable = false;
            return;
        }
        else {
            this.verifyCode.countdown--;
        }
        this.verifyCode.verifyCodeTips = "(" + this.verifyCode.countdown + ")已发送";
        setTimeout(function () {
            _this.verifyCode.verifyCodeTips = "(" + _this.verifyCode.countdown + ")已发送";
            _this.setTime();
        }, 1000);
    };
    // 登录
    RegisterPage.prototype.login = function () {
        var _this = this;
        if (this.validation == false) {
            this._AlertService.presentToast('手机号码格式不正确');
            return;
        }
        if (this.verifyNum.trim() == '') {
            this._AlertService.presentToast('验证码不能为空');
            return;
        }
        if (this.password.trim() == '' || this.confirmPassword.trim() == '') {
            this._AlertService.presentToast('密码不能为空');
            return;
        }
        if (this.password != this.confirmPassword) {
            this._AlertService.presentToast('两次输入的密码不一致');
            return;
        }
        this._registerHomeService.verifyCodeApi(this.mobile, this.verifyNum).subscribe(function (data) {
            if (data.Entity.Code == 200) {
                var data_1 = {
                    "username": '',
                    "userphone": _this.mobile,
                    "password": _this.password,
                    "openid": '',
                    "pkCooperative": '',
                    "enumusersex": '0'
                };
                _this._GlobalData.set(__WEBPACK_IMPORTED_MODULE_6__providers_Constants__["s" /* USER_REGISTER_INFO */], data_1);
                _this.navCtrl.push('roleSelectPage', { data: data_1 });
            }
            else {
                _this._AlertService.presentToast(data.Entity.Message);
            }
        });
    };
    RegisterPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-register',template:/*ion-inline-start:"D:\project\njapp\farmapp\farms.app\src\pages\auth\register\register.html"*/'<ion-header>\n\n  <ion-navbar></ion-navbar>\n\n</ion-header>\n\n<ion-content padding class="container-bg">\n\n  <div class="aq-padding-left-8 aq-padding-right-8">\n\n    <!-- 标题 -->\n\n    <ion-row>\n\n      <ion-col col-12 text-left class="margin-top-50">\n\n        <div class="title">手机号注册/登录</div>\n\n        <div class="sub-title">快速获取您的农机信息，安全可靠</div>\n\n        <div></div>\n\n      </ion-col>\n\n    </ion-row>\n\n    <!-- 注册表单 -->\n\n    <ion-list class="aq-margin-top-24 aq-margin-bottom-0">\n\n      <ion-item class="item-height">\n\n        <ion-label class="phone-label">+086</ion-label>\n\n        <ion-input [(ngModel)]="mobile" (input)="checkPhoneValidation()" no-margin text-left type="tel" placeholder="请输入手机号码" class="aq-text-size-medium"></ion-input>\n\n      </ion-item>\n\n    </ion-list>\n\n    <ion-list class="aq-margin-bottom-0 aq-margin-top-16">\n\n      <ion-item class="item-height" no-padding>\n\n        <ion-input [(ngModel)]="verifyNum" no-margin item-start text-left type="tel" placeholder="请输入验证码" class="aq-text-size-medium verify-code"></ion-input>\n\n        <button (click)="sendValidationCode()" [ngClass]="{\'color-gray\': validation == false || verifyCode.disable == true, \'color-primary\': validation && verifyCode.disable == false}" no-padding no-margin item-end ion-button clear class="verify-button aq-text-size-medium">\n\n          {{ verifyCode.verifyCodeTips }}\n\n        </button>\n\n      </ion-item>\n\n    </ion-list>\n\n    <ion-list class="aq-margin-bottom-0 aq-margin-top-16">\n\n      <ion-item class="item-height">\n\n        <ion-input [(ngModel)]="password" text-left type="password" placeholder="请输入密码" class="aq-text-size-medium"></ion-input>\n\n      </ion-item>\n\n    </ion-list>\n\n    <ion-list class="aq-margin-bottom-0 aq-margin-top-16">\n\n      <ion-item class="item-height">\n\n        <ion-input [(ngModel)]="confirmPassword" text-left type="password" placeholder="密码二次确认" class="aq-text-size-medium"></ion-input>\n\n      </ion-item>\n\n    </ion-list>\n\n    <button (click)="login()" class="btn-custom aq-margin-top-16" ion-button block color="secondary">\n\n      确认\n\n    </button>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\project\njapp\farmapp\farms.app\src\pages\auth\register\register.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_Validators__["a" /* Validators */],
            __WEBPACK_IMPORTED_MODULE_3__register_home_register_home_service__["a" /* registerHomeService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_alert_service__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_GlobalData__["a" /* GlobalData */]])
    ], RegisterPage);
    return RegisterPage;
}());

//# sourceMappingURL=register.js.map

/***/ })

});
//# sourceMappingURL=24.js.map