webpackJsonp([26],{

/***/ 691:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "GMapModule", function() { return GMapModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__gmap__ = __webpack_require__(734);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var GMapModule = /** @class */ (function () {
    function GMapModule() {
    }
    GMapModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__gmap__["a" /* GMapComponent */]],
            imports: [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicModule */]],
            exports: [__WEBPACK_IMPORTED_MODULE_2__gmap__["a" /* GMapComponent */]]
        })
    ], GMapModule);
    return GMapModule;
}());

//# sourceMappingURL=gmap.module.js.map

/***/ }),

/***/ 732:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return List; });
/* unused harmony export Enumerable */
/**
 * Checks if the argument passed is an object
 */
var isObj = function (x) { return !!x && typeof x === 'object'; };
/**
 * Determine if two objects are equal
 */

var equal = function (a, b) { return Object.entries(a).every(function (ref) {
  var key = ref[0];
  var val = ref[1];

  return isObj(val) ? equal(b[key], val) : b[key] === val;
  }); };
/**
 * Creates a function that negates the result of the predicate
 */

var negate = function (predicate) { return function () {
  var args = [], len = arguments.length;
  while ( len-- ) args[ len ] = arguments[ len ];

  return !predicate.apply(void 0, args);
 }  };
/**
 * Comparer helpers
 */

var composeComparers = function (previousComparer, currentComparer) { return function (a, b) { return previousComparer(a, b) || currentComparer(a, b); }; };
var keyComparer = function (_keySelector, descending) { return function (a, b) {
  var sortKeyA = _keySelector(a);

  var sortKeyB = _keySelector(b);

  if (sortKeyA > sortKeyB) {
    return !descending ? 1 : -1;
  } else if (sortKeyA < sortKeyB) {
    return !descending ? -1 : 1;
  } else {
    return 0;
  }
}; };

var List = function List(elements) {
  if ( elements === void 0 ) elements = [];

  this._elements = elements;
};
/**
 * Adds an object to the end of the List<T>.
 */


List.prototype.Add = function Add (element) {
  this._elements.push(element);
};
/**
 * Adds the elements of the specified collection to the end of the List<T>.
 */


List.prototype.AddRange = function AddRange (elements) {
    var ref;

  (ref = this._elements).push.apply(ref, elements);
};
/**
 * Applies an accumulator function over a sequence.
 */


List.prototype.Aggregate = function Aggregate (accumulator, initialValue) {
  return this._elements.reduce(accumulator, initialValue);
};
/**
 * Determines whether all elements of a sequence satisfy a condition.
 */


List.prototype.All = function All (predicate) {
  return this._elements.every(predicate);
};

List.prototype.Any = function Any (predicate) {
  return predicate ? this._elements.some(predicate) : this._elements.length > 0;
};

List.prototype.Average = function Average (transform) {
  return this.Sum(transform) / this.Count(transform);
};
/**
 * Casts the elements of a sequence to the specified type.
 */


List.prototype.Cast = function Cast () {
  return new List(this._elements);
};
/**
 * Concatenates two sequences.
 */


List.prototype.Concat = function Concat (list) {
  return new List(this._elements.concat(list.ToArray()));
};
/**
 * Determines whether an element is in the List<T>.
 */


List.prototype.Contains = function Contains (element) {
  return this._elements.some(function (x) { return x === element; });
};

List.prototype.Count = function Count (predicate) {
  return predicate ? this.Where(predicate).Count() : this._elements.length;
};
/**
 * Returns the elements of the specified sequence or the type parameter's default value
 * in a singleton collection if the sequence is empty.
 */


List.prototype.DefaultIfEmpty = function DefaultIfEmpty (defaultValue) {
  return this.Count() ? this : new List([defaultValue]);
};
/**
 * Returns distinct elements from a sequence by using the default equality comparer to compare values.
 */


List.prototype.Distinct = function Distinct () {
  return this.Where(function (value, index, iter) { return (isObj(value) ? iter.findIndex(function (obj) { return equal(obj, value); }) : iter.indexOf(value)) === index; });
};
/**
 * Returns distinct elements from a sequence according to specified key selector.
 */


List.prototype.DistinctBy = function DistinctBy (keySelector) {
  var groups = this.GroupBy(keySelector);
  return Object.keys(groups).reduce(function (res, key) {
    res.Add(groups[key][0]);
    return res;
  }, new List());
};
/**
 * Returns the element at a specified index in a sequence.
 */


List.prototype.ElementAt = function ElementAt (index) {
  if (index < this.Count() && index >= 0) {
    return this._elements[index];
  } else {
    var MSG = 'ArgumentOutOfRangeException: index is less than 0 or greater than or equal to the number of elements in source.';
    throw new Error(MSG);
  }
};
/**
 * Returns the element at a specified index in a sequence or a default value if the index is out of range.
 */


List.prototype.ElementAtOrDefault = function ElementAtOrDefault (index) {
  return this.ElementAt(index) !== undefined && this.ElementAt(index);
};
/**
 * Produces the set difference of two sequences by using the default equality comparer to compare values.
 */


List.prototype.Except = function Except (source) {
  return this.Where(function (x) { return !source.Contains(x); });
};

List.prototype.First = function First (predicate) {
  if (this.Count()) {
    return predicate ? this.Where(predicate).First() : this._elements[0];
  } else {
    throw new Error('InvalidOperationException: The source sequence is empty.');
  }
};

List.prototype.FirstOrDefault = function FirstOrDefault (predicate) {
  return this.Count(predicate) ? this.First(predicate) : undefined;
};
/**
 * Performs the specified action on each element of the List<T>.
 */


List.prototype.ForEach = function ForEach (action) {
  return this._elements.forEach(action);
};
/**
 * Groups the elements of a sequence according to a specified key selector function.
 */


List.prototype.GroupBy = function GroupBy (grouper, mapper) {
  var initialValue = {};

  if (!mapper) {
    mapper = function (val) { return val; };
  }

  return this.Aggregate(function (ac, v) {
    var key = grouper(v);
    var existingGroup = ac[key];
    var mappedValue = mapper(v);

    if (existingGroup) {
      existingGroup.push(mappedValue);
    } else {
      ac[key] = [mappedValue];
    }

    return ac;
  }, initialValue);
};
/**
 * Correlates the elements of two sequences based on equality of keys and groups the results.
 * The default equality comparer is used to compare keys.
 */


List.prototype.GroupJoin = function GroupJoin (list, key1, key2, result) {
  return this.Select(function (x) { return result(x, list.Where(function (z) { return key1(x) === key2(z); })); });
};
/**
 * Returns the index of the first occurence of an element in the List.
 */


List.prototype.IndexOf = function IndexOf (element) {
  return this._elements.indexOf(element);
};
/**
 * Inserts an element into the List<T> at the specified index.
 */


List.prototype.Insert = function Insert (index, element) {
  if (index < 0 || index > this._elements.length) {
    throw new Error('Index is out of range.');
  }

  this._elements.splice(index, 0, element);
};
/**
 * Produces the set intersection of two sequences by using the default equality comparer to compare values.
 */


List.prototype.Intersect = function Intersect (source) {
  return this.Where(function (x) { return source.Contains(x); });
};
/**
 * Correlates the elements of two sequences based on matching keys. The default equality comparer is used to compare keys.
 */


List.prototype.Join = function Join (list, key1, key2, result) {
  return this.SelectMany(function (x) { return list.Where(function (y) { return key2(y) === key1(x); }).Select(function (z) { return result(x, z); }); });
};

List.prototype.Last = function Last (predicate) {
  if (this.Count()) {
    return predicate ? this.Where(predicate).Last() : this._elements[this.Count() - 1];
  } else {
    throw Error('InvalidOperationException: The source sequence is empty.');
  }
};

List.prototype.LastOrDefault = function LastOrDefault (predicate) {
  return this.Count(predicate) ? this.Last(predicate) : undefined;
};

List.prototype.Max = function Max (selector) {
  var id = function (x) { return x; };

  return Math.max.apply(Math, this._elements.map(selector || id));
};

List.prototype.Min = function Min (selector) {
  var id = function (x) { return x; };

  return Math.min.apply(Math, this._elements.map(selector || id));
};
/**
 * Filters the elements of a sequence based on a specified type.
 */


List.prototype.OfType = function OfType (type) {
  var typeName;

  switch (type) {
    case Number:
      typeName = typeof 0;
      break;

    case String:
      typeName = typeof '';
      break;

    case Boolean:
      typeName = typeof true;
      break;

    case Function:
      typeName = typeof function () {}; // tslint:disable-line no-empty

      break;

    default:
      typeName = null;
      break;
  }

  return typeName === null ? this.Where(function (x) { return x instanceof type; }).Cast() : this.Where(function (x) { return typeof x === typeName; }).Cast();
};
/**
 * Sorts the elements of a sequence in ascending order according to a key.
 */


List.prototype.OrderBy = function OrderBy (keySelector, comparer) {
    if ( comparer === void 0 ) comparer = keyComparer(keySelector, false);

  return new OrderedList(this._elements, comparer);
};
/**
 * Sorts the elements of a sequence in descending order according to a key.
 */


List.prototype.OrderByDescending = function OrderByDescending (keySelector, comparer) {
    if ( comparer === void 0 ) comparer = keyComparer(keySelector, true);

  return new OrderedList(this._elements, comparer);
};
/**
 * Performs a subsequent ordering of the elements in a sequence in ascending order according to a key.
 */


List.prototype.ThenBy = function ThenBy (keySelector) {
  return this.OrderBy(keySelector);
};
/**
 * Performs a subsequent ordering of the elements in a sequence in descending order, according to a key.
 */


List.prototype.ThenByDescending = function ThenByDescending (keySelector) {
  return this.OrderByDescending(keySelector);
};
/**
 * Removes the first occurrence of a specific object from the List<T>.
 */


List.prototype.Remove = function Remove (element) {
  return this.IndexOf(element) !== -1 ? (this.RemoveAt(this.IndexOf(element)), true) : false;
};
/**
 * Removes all the elements that match the conditions defined by the specified predicate.
 */


List.prototype.RemoveAll = function RemoveAll (predicate) {
  return this.Where(negate(predicate));
};
/**
 * Removes the element at the specified index of the List<T>.
 */


List.prototype.RemoveAt = function RemoveAt (index) {
  this._elements.splice(index, 1);
};
/**
 * Reverses the order of the elements in the entire List<T>.
 */


List.prototype.Reverse = function Reverse () {
  return new List(this._elements.reverse());
};
/**
 * Projects each element of a sequence into a new form.
 */


List.prototype.Select = function Select (selector) {
  return new List(this._elements.map(selector));
};
/**
 * Projects each element of a sequence to a List<any> and flattens the resulting sequences into one sequence.
 */


List.prototype.SelectMany = function SelectMany (selector) {
    var this$1 = this;

  return this.Aggregate(function (ac, _, i) { return (ac.AddRange(this$1.Select(selector).ElementAt(i).ToArray()), ac); }, new List());
};
/**
 * Determines whether two sequences are equal by comparing the elements by using the default equality comparer for their type.
 */


List.prototype.SequenceEqual = function SequenceEqual (list) {
  return !!this._elements.reduce(function (x, y, z) { return list._elements[z] === y ? x : undefined; });
};
/**
 * Returns the only element of a sequence, and throws an exception if there is not exactly one element in the sequence.
 */


List.prototype.Single = function Single (predicate) {
  if (this.Count(predicate) !== 1) {
    throw new Error('The collection does not contain exactly one element.');
  } else {
    return this.First(predicate);
  }
};
/**
 * Returns the only element of a sequence, or a default value if the sequence is empty;
 * this method throws an exception if there is more than one element in the sequence.
 */


List.prototype.SingleOrDefault = function SingleOrDefault (predicate) {
  return this.Count(predicate) ? this.Single(predicate) : undefined;
};
/**
 * Bypasses a specified number of elements in a sequence and then returns the remaining elements.
 */


List.prototype.Skip = function Skip (amount) {
  return new List(this._elements.slice(Math.max(0, amount)));
};
/**
 * Bypasses elements in a sequence as long as a specified condition is true and then returns the remaining elements.
 */


List.prototype.SkipWhile = function SkipWhile (predicate) {
    var this$1 = this;

  return this.Skip(this.Aggregate(function (ac) { return predicate(this$1.ElementAt(ac)) ? ++ac : ac; }, 0));
};

List.prototype.Sum = function Sum (transform) {
  return transform ? this.Select(transform).Sum() : this.Aggregate(function (ac, v) { return ac += +v; }, 0);
};
/**
 * Returns a specified number of contiguous elements from the start of a sequence.
 */


List.prototype.Take = function Take (amount) {
  return new List(this._elements.slice(0, Math.max(0, amount)));
};
/**
 * Returns elements from a sequence as long as a specified condition is true.
 */


List.prototype.TakeWhile = function TakeWhile (predicate) {
    var this$1 = this;

  return this.Take(this.Aggregate(function (ac) { return predicate(this$1.ElementAt(ac)) ? ++ac : ac; }, 0));
};
/**
 * Copies the elements of the List<T> to a new array.
 */


List.prototype.ToArray = function ToArray () {
  return this._elements;
};

List.prototype.ToDictionary = function ToDictionary (key, value) {
    var this$1 = this;

  return this.Aggregate(function (dicc, v, i) {
    dicc[this$1.Select(key).ElementAt(i).toString()] = value ? this$1.Select(value).ElementAt(i) : v;
    dicc.Add({
      Key: this$1.Select(key).ElementAt(i),
      Value: value ? this$1.Select(value).ElementAt(i) : v
    });
    return dicc;
  }, new List());
};
/**
 * Creates a List<T> from an Enumerable.List<T>.
 */


List.prototype.ToList = function ToList () {
  return this;
};
/**
 * Creates a Lookup<TKey, TElement> from an IEnumerable<T> according to specified key selector and element selector functions.
 */


List.prototype.ToLookup = function ToLookup (keySelector, elementSelector) {
  return this.GroupBy(keySelector, elementSelector);
};
/**
 * Produces the set union of two sequences by using the default equality comparer.
 */


List.prototype.Union = function Union (list) {
  return this.Concat(list).Distinct();
};
/**
 * Filters a sequence of values based on a predicate.
 */


List.prototype.Where = function Where (predicate) {
  return new List(this._elements.filter(predicate));
};
/**
 * Applies a specified function to the corresponding elements of two sequences, producing a sequence of the results.
 */


List.prototype.Zip = function Zip (list, result) {
    var this$1 = this;

  return list.Count() < this.Count() ? list.Select(function (x, y) { return result(this$1.ElementAt(y), x); }) : this.Select(function (x, y) { return result(x, list.ElementAt(y)); });
};
/**
 * Represents a sorted sequence. The methods of this class are implemented by using deferred execution.
 * The immediate return value is an object that stores all the information that is required to perform the action.
 * The query represented by this method is not executed until the object is enumerated either by
 * calling its ToDictionary, ToLookup, ToList or ToArray methods
 */


var OrderedList = /*@__PURE__*/(function (List) {
  function OrderedList(elements, _comparer) {
    List.call(this, elements);
    this._comparer = _comparer;

    this._elements.sort(this._comparer);
  }

  if ( List ) OrderedList.__proto__ = List;
  OrderedList.prototype = Object.create( List && List.prototype );
  OrderedList.prototype.constructor = OrderedList;
  /**
   * Performs a subsequent ordering of the elements in a sequence in ascending order according to a key.
   * @override
   */


  OrderedList.prototype.ThenBy = function ThenBy (keySelector) {
    return new OrderedList(this._elements, composeComparers(this._comparer, keyComparer(keySelector, false)));
  };
  /**
   * Performs a subsequent ordering of the elements in a sequence in descending order, according to a key.
   * @override
   */


  OrderedList.prototype.ThenByDescending = function ThenByDescending (keySelector) {
    return new OrderedList(this._elements, composeComparers(this._comparer, keyComparer(keySelector, true)));
  };

  return OrderedList;
}(List));

var Enumerable = function Enumerable () {};

Enumerable.Range = function Range (start, count) {
  var result = new List();

  while (count--) {
    result.Add(start++);
  }

  return result;
};
/**
 * Generates a sequence that contains one repeated value.
 */


Enumerable.Repeat = function Repeat (element, count) {
  var result = new List();

  while (count--) {
    result.Add(element);
  }

  return result;
};

/**
 * LinQ to TypeScript
 *
 * Documentation from LinQ .NET specification (https://msdn.microsoft.com/en-us/library/system.linq.enumerable.aspx)
 *
 * Created by Flavio Corpa (@kutyel)
 * Copyright © 2016 Flavio Corpa. All rights reserved.
 *
 */


//# sourceMappingURL=index.es.js.map


/***/ }),

/***/ 734:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GMapComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_amap_service__ = __webpack_require__(354);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_alert_service__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_Utils__ = __webpack_require__(155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_linqts__ = __webpack_require__(732);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var GMapComponent = /** @class */ (function () {
    function GMapComponent(_AMapService, _AlertService) {
        this._AMapService = _AMapService;
        this._AlertService = _AlertService;
        this.AMapId = '';
        this.zoom = 12;
        this.imageURL = "http://t0.tianditu.gov.cn/img_w/wmts?SERVICE=WMTS&REQUEST=GetTile&VERSION=1.0.0&LAYER=img&STYLE=default&TILEMATRIXSET=w&FORMAT=tiles&TILEMATRIX={z}&TILEROW={y}&TILECOL={x}&tk=b46ebf7c5ab36f4089c8736ca303f14e";
        this.imageURLs = "http://t0.tianditu.gov.cn/cia_w/wmts?tk=b46ebf7c5ab36f4089c8736ca303f14e&service=wmts&request=GetTile&version=1.0.0&LAYER=cia&tileMatrixSet=w&TileMatrix={z}&TileRow={y}&TileCol={x}&style=default&format=tiles";
        this.id = 'mapDivs';
        this.markers = []; //地图点坐标组
        this.showInitMarker = false; //是否初始化marker
        this.clusterEmitter = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */](); //点聚合
        this.AMapId = 'g_container' + Math.floor(Math.random() * 1000000);
    }
    GMapComponent.prototype.ngOnInit = function () {
    };
    GMapComponent.prototype.ngAfterViewInit = function () {
        //获取数据
        this.lay = new T.TileLayer(this.imageURL, { minZoom: 1, maxZoom: 18 });
        this.lay1 = new T.TileLayer(this.imageURLs, { minZoom: 1, maxZoom: 18 });
        var config = { layers: [this.lay, this.lay1] };
        this.map = new T.Map(this.AMapId, config);
        this.map.centerAndZoom(new T.LngLat(104.13743494999994, 37.87989704904882), 4);
        var arr = [];
        this.markers = arr;
        this._AMapService.GMapClearMarkersSource$.subscribe(function (flg) {
            console.log(flg);
        });
        this.getmarkers();
        this.maplands();
    };
    GMapComponent.prototype.ngOnChanges = function () {
        alert(231312);
        this.getmarkers();
    };
    GMapComponent.prototype.getmarkers = function () {
        var _this = this;
        this.map.clearOverLays();
        this._AMapService.AMapMarkers$.subscribe(function (data) {
            var tempArray = data;
            _this.markers = tempArray;
            if (_this.markers.length > 0) {
                var results = [];
                var linQList = new __WEBPACK_IMPORTED_MODULE_4_linqts__["a" /* List */](_this.markers);
                results =
                    linQList
                        .Where(function (x) { return (x.ltg == '0.0,0.0'); })
                        .ToArray();
                results.forEach((function (item) {
                    item.ltg = '22.538777,113.990989';
                    _this.markers.push(item); //将坐标为0.0,0.0的改为22.538777,113.990989添加到marker列表里
                }));
                _this.setmarkers(_this.map, _this.markers);
            }
        });
    };
    //默认地块
    GMapComponent.prototype.maplands = function () {
        var points = [];
        points.push(new T.LngLat(170.672126, 81.291804));
        points.push(new T.LngLat(-169.604276, 81.291804));
        points.push(new T.LngLat(-169.604276, -68.045308));
        points.push(new T.LngLat(170.672126, -68.045308));
        points.push(new T.LngLat(170.672126, 81.291804));
        var polygon = new T.Polygon(points, {
            color: "balck", weight: 3, opacity: 1.5, fillColor: "balck", fillOpacity: 0.5
        });
        this.map.addOverLay(polygon);
    };
    // 定位到当前位置
    GMapComponent.prototype.getCurrentposition = function (maps) {
        var lo = new T.Geolocation();
        var fn = function (e) {
            if (this.getStatus() == 0) {
                maps.centerAndZoom(e.lnglat, 15);
                // var marker = new T.Marker(e.lnglat);
                // maps.addOverLay(marker);
            }
            if (this.getStatus() == 1) {
                maps.centerAndZoom(e.lnglat, e.level);
                // let marker = new T.Marker(e.lnglat);
                // maps.addOverLay(marker);
            }
        };
        lo.getCurrentPosition(fn);
    };
    GMapComponent.prototype.setmarkers = function (map, markers) {
        var points = [];
        var currentPoint = this;
        var arrayObj = [];
        var _loop_1 = function (i) {
            if (markers[i].ltg !== null && markers[i].ltg != 'string' && markers[i].ltg.indexOf('??') == -1) {
                var position = markers[i].ltg.split(',');
                var imgurls = 'assets/imgs/map/bozhongji_on.png';
                if (markers[i].onl != '2') {
                    imgurls = 'assets/imgs/map/bozhongji_off.png';
                }
                var icon = new T.Icon({
                    iconUrl: imgurls,
                    iconSize: new T.Point(40),
                    iconAnchor: new T.Point(10, 20)
                });
                var point = new T.LngLat(position[1], position[0]);
                points.push(point);
                var marker = new T.Marker(new T.LngLat(position[1], position[0]), { icon: icon });
                arrayObj.push(marker);
                marker.addEventListener("click", function () {
                    var clickMarker;
                    markers.forEach(function (marker) {
                        if (marker.cid != markers[i].cid) {
                            marker.selected = false;
                        }
                    });
                    if (__WEBPACK_IMPORTED_MODULE_3__providers_Utils__["a" /* Utils */].IsArray(markers)) {
                        clickMarker = markers[i];
                        clickMarker.selected = !clickMarker.selected;
                    }
                    if (!clickMarker.enumber) {
                        clickMarker.enumber = "暂无车牌";
                    }
                    currentPoint.markerClick(clickMarker);
                });
                // this.markerClusterer = markeres
                //   map.addOverLay(marker);
                // 鼠标点击点标记事件
            }
            // }))
        };
        for (var i = 0; i < markers.length; i++) {
            _loop_1(i);
        }
        map.setViewport(points);
        new T.MarkerClusterer(map, { markers: arrayObj });
    };
    // 加载首页marker
    GMapComponent.prototype.markerpoint = function (map, markers) {
        var currentPoint = this;
        if (this.markers.length > 0) {
            var _loop_2 = function (i) {
                if (this_1.markers[i].ltg !== null) {
                    var position = this_1.markers[i].ltg.split(',');
                    var imgurls = 'assets/imgs/map/marker-icons/bo-on.png';
                    // let imageUrl = this.markers[i].machineImg;
                    icon = new T.Icon({
                        iconUrl: imgurls,
                        iconSize: new T.Point(40, 60),
                        iconAnchor: new T.Point(10, 20)
                    });
                    marker = new T.Marker(new T.LngLat(position[1], position[0]), { icon: icon });
                    marker.addEventListener("click", function () {
                        var clickMarker;
                        markers.forEach(function (marker) {
                            if (marker.cid != markers[i].cid) {
                                marker.selected = false;
                            }
                        });
                        if (__WEBPACK_IMPORTED_MODULE_3__providers_Utils__["a" /* Utils */].IsArray(markers)) {
                            clickMarker = markers[i];
                            clickMarker.selected = !clickMarker.selected;
                        }
                        if (!clickMarker.enumber) {
                            clickMarker.enumber = "暂无车牌";
                        }
                        currentPoint.markerClick(clickMarker);
                    });
                }
            };
            var this_1 = this, icon, marker;
            for (var i = 0; i < this.markers.length; i++) {
                _loop_2(i);
            }
        }
        map.addOverLay(marker);
    };
    // 点击marker事件
    GMapComponent.prototype.markerClick = function (item) {
        console.log(item);
        this._AMapService.markerClick(item);
    };
    GMapComponent.prototype.ngOnDestroy = function () {
        this.markers = [];
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */])(),
        __metadata("design:type", Array)
    ], GMapComponent.prototype, "markers", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */])(),
        __metadata("design:type", Object)
    ], GMapComponent.prototype, "mapCenter", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */])(),
        __metadata("design:type", Boolean)
    ], GMapComponent.prototype, "showInitMarker", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */])(),
        __metadata("design:type", Object)
    ], GMapComponent.prototype, "clusterEmitter", void 0);
    GMapComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'ngx-gmap',template:/*ion-inline-start:"D:\project\njapp\farmapp\farms.app\src\components\gmap\gmap.html"*/'<div id="{{AMapId}}" class="map"></div>\n\n'/*ion-inline-end:"D:\project\njapp\farmapp\farms.app\src\components\gmap\gmap.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_amap_service__["a" /* AMapService */], __WEBPACK_IMPORTED_MODULE_2__providers_alert_service__["a" /* AlertService */]])
    ], GMapComponent);
    return GMapComponent;
}());

//# sourceMappingURL=gmap.js.map

/***/ })

});
//# sourceMappingURL=26.js.map