webpackJsonp([12],{

/***/ 708:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MachineDetailModule", function() { return MachineDetailModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__machine_static_page__ = __webpack_require__(754);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__machine_home_service__ = __webpack_require__(728);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ngx_echarts__ = __webpack_require__(742);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


//page

//service


var MachineDetailModule = /** @class */ (function () {
    function MachineDetailModule() {
    }
    MachineDetailModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__machine_static_page__["a" /* machineStaticPage */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__machine_static_page__["a" /* machineStaticPage */]),
                __WEBPACK_IMPORTED_MODULE_4_ngx_echarts__["a" /* NgxEchartsModule */]
            ],
            providers: [__WEBPACK_IMPORTED_MODULE_3__machine_home_service__["a" /* machineHomeService */]],
            exports: [__WEBPACK_IMPORTED_MODULE_2__machine_static_page__["a" /* machineStaticPage */]]
        })
    ], MachineDetailModule);
    return MachineDetailModule;
}());

//# sourceMappingURL=machine-static-page.module.js.map

/***/ }),

/***/ 728:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return machineHomeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Constants__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_StorageService__ = __webpack_require__(153);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var machineHomeService = /** @class */ (function () {
    function machineHomeService(httpService, _StorageService) {
        this.httpService = httpService;
        this._StorageService = _StorageService;
    }
    //添加农机设备-设备注册
    machineHomeService.prototype.equipmentRegisterApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/equipmentregister';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    machineHomeService.prototype.getMachineDetailApi = function (cid, ctp) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/get_equipment_info';
        var postBody = {
            cid: cid,
            ctp: ctp
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //获取农机审核列表
    machineHomeService.prototype.getApplicationListApi = function (factoryno) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/getapplicationlist';
        var postBody = {
            factoryno: factoryno,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //获取审核中农机列表
    machineHomeService.prototype.getLockMachineListApi = function (factoryno) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/reviewlockresearch';
        var postBody = {
            factoryno: factoryno,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 获取用户统计数据
    machineHomeService.prototype.getmachineDataApi = function (factoryno) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/farmsorder/order_statistics';
        return this.httpService.httpGet(url, factoryno).map(function (res) { return res; });
    };
    //设备锁死
    machineHomeService.prototype.reviewLockMachinetApi = function (factoryno) {
        if (factoryno === void 0) { factoryno = " "; }
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/reviewlock';
        var postBody = {
            factoryno: factoryno,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 获取设备注册信息
    machineHomeService.prototype.getMachineReviewDetail = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/getbycontrollerinfo';
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 客户经理除设备
    machineHomeService.prototype.deleteSelectedDevice = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/deleteerrorequipmentregistration';
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //设备解锁
    machineHomeService.prototype.relockMachineApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/relockandsave';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //设备完成审核
    machineHomeService.prototype.reviewCommitMachineApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/reviewcommit';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //身份证银行卡识别
    machineHomeService.prototype.uploadIdbankcardApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/baidu/uploadidbankcard';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //上传base64
    machineHomeService.prototype.uploadBase64Api = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/file/uploadbase64';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //重新审核
    machineHomeService.prototype.relockAndCancelApi = function (factoryno) {
        if (factoryno === void 0) { factoryno = " "; }
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/relockandcancel';
        var postBody = {
            factoryno: factoryno,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //确认注册
    machineHomeService.prototype.commitRegisterApi = function (factoryno) {
        if (factoryno === void 0) { factoryno = " "; }
        console.log(factoryno);
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/commitregister';
        var postBody = {
            factoryno: factoryno,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //获取用户农机列表
    machineHomeService.prototype.getCustomerEquipmentApi = function (postBody) {
        this.userId = this._StorageService.read(__WEBPACK_IMPORTED_MODULE_2__providers_Constants__["p" /* USER_ID */]);
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/get_myequipment';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //机手提维修订单
    machineHomeService.prototype.repairRquestApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipmentrepair/repairrquest';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //机手提维修订单
    machineHomeService.prototype.scanApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipmentregister/getbyproductionnumber?productionNumber=' + postBody;
        return this.httpService.httpGet(url, null).map(function (res) { return res; });
    };
    //获取设备实时IOT信息
    machineHomeService.prototype.getEquipmentRealiotApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/get_equipment_realiot';
        return this.httpService.httpPost(url, postBody, false).map(function (res) { return res; });
    };
    //获取设备实时IOT信息
    machineHomeService.prototype.getEquipmentDetail = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/equipment/get_equipment_detailed_info';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    // 获取统计信息
    machineHomeService.prototype.getSummaryInfo = function (params) {
        var url = 'http://njgjapp.com:16013/farmsdb-zuul/api/farmsorder/order_statistics_app';
        return this.httpService.httpGet(url, params, true).map(function (res) { return res; });
    };
    machineHomeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */], __WEBPACK_IMPORTED_MODULE_3__providers_StorageService__["a" /* StorageService */]])
    ], machineHomeService);
    return machineHomeService;
}());

//# sourceMappingURL=machine-home.service.js.map

/***/ }),

/***/ 742:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NgxEchartsModule; });
/* unused harmony export NgxEchartsDirective */
/* unused harmony export NgxEchartsService */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_observable_of__ = __webpack_require__(359);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_observable_of___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_observable_of__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_observable_empty__ = __webpack_require__(358);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_observable_empty___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_observable_empty__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Subject__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_Subject___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_Subject__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_debounceTime__ = __webpack_require__(360);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_debounceTime___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_debounceTime__);






var ChangeFilter = (function () {
    /**
     * @param {?} _changes
     */
    function ChangeFilter(_changes) {
        this._changes = _changes;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    ChangeFilter.of = function (changes) {
        return new ChangeFilter(changes);
    };
    /**
     * @template T
     * @param {?} key
     * @return {?}
     */
    ChangeFilter.prototype.notEmpty = function (key) {
        if (this._changes[key]) {
            var /** @type {?} */ value = this._changes[key].currentValue;
            if (value !== undefined && value !== null) {
                return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].of(value);
            }
        }
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].empty();
    };
    /**
     * @template T
     * @param {?} key
     * @return {?}
     */
    ChangeFilter.prototype.has = function (key) {
        if (this._changes[key]) {
            var /** @type {?} */ value = this._changes[key].currentValue;
            return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].of(value);
        }
        return __WEBPACK_IMPORTED_MODULE_1_rxjs_Observable__["Observable"].empty();
    };
    return ChangeFilter;
}());
var NgxEchartsDirective = (function () {
    /**
     * @param {?} el
     * @param {?} _ngZone
     */
    function NgxEchartsDirective(el, _ngZone) {
        this.el = el;
        this._ngZone = _ngZone;
        this.autoResize = true;
        this.loadingType = 'default';
        // chart events:
        this.chartInit = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartClick = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartDblClick = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartMouseDown = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartMouseUp = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartMouseOver = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartMouseOut = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartGlobalOut = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartContextMenu = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this.chartDataZoom = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* EventEmitter */]();
        this._chart = null;
        this.currentOffsetWidth = 0;
        this.currentOffsetHeight = 0;
        this.currentWindowWidth = null;
        this._resize$ = new __WEBPACK_IMPORTED_MODULE_4_rxjs_Subject__["Subject"]();
    }
    /**
     * @return {?}
     */
    NgxEchartsDirective.prototype.createChart = function () {
        var _this = this;
        this.currentWindowWidth = window.innerWidth;
        this.currentOffsetWidth = this.el.nativeElement.offsetWidth;
        this.currentOffsetHeight = this.el.nativeElement.offsetHeight;
        var /** @type {?} */ dom = this.el.nativeElement;
        if (window && window.getComputedStyle) {
            var /** @type {?} */ prop = window.getComputedStyle(dom, null).getPropertyValue('height');
            if ((!prop || prop === '0px') &&
                (!dom.style.height || dom.style.height === '0px')) {
                dom.style.height = '400px';
            }
        }
        return this._ngZone.runOutsideAngular(function () { return echarts.init(dom, _this.theme || undefined, _this.initOpts || undefined); });
    };
    /**
     * @param {?} event
     * @return {?}
     */
    NgxEchartsDirective.prototype.onWindowResize = function (event) {
        if (this.autoResize && event.target.innerWidth !== this.currentWindowWidth) {
            this.currentWindowWidth = event.target.innerWidth;
            this.currentOffsetWidth = this.el.nativeElement.offsetWidth;
            this.currentOffsetHeight = this.el.nativeElement.offsetHeight;
            this._resize$.next();
        }
    };
    /**
     * @param {?} changes
     * @return {?}
     */
    NgxEchartsDirective.prototype.ngOnChanges = function (changes) {
        var _this = this;
        var /** @type {?} */ filter = ChangeFilter.of(changes);
        filter.notEmpty('options').subscribe(function (opt) { return _this.onOptionsChange(opt); });
        filter.notEmpty('merge').subscribe(function (opt) { return _this.setOption(opt); });
        filter.has('loading').subscribe(function (v) { return _this.toggleLoading(!!v); });
    };
    /**
     * @return {?}
     */
    NgxEchartsDirective.prototype.ngOnDestroy = function () {
        if (this._resizeSub) {
            this._resizeSub.unsubscribe();
            this._resizeSub = null;
        }
        if (this._chart) {
            this._chart.dispose();
            this._chart = null;
        }
    };
    /**
     * @return {?}
     */
    NgxEchartsDirective.prototype.ngDoCheck = function () {
        // No heavy work in DoCheck!
        if (this._chart && this.autoResize) {
            var /** @type {?} */ offsetWidth = this.el.nativeElement.offsetWidth;
            var /** @type {?} */ offsetHeight = this.el.nativeElement.offsetHeight;
            if (this.currentOffsetWidth !== offsetWidth || this.currentOffsetHeight !== offsetHeight) {
                this.currentOffsetWidth = offsetWidth;
                this.currentOffsetHeight = offsetHeight;
                this._resize$.next();
            }
        }
    };
    /**
     * @param {?} opt
     * @return {?}
     */
    NgxEchartsDirective.prototype.onOptionsChange = function (opt) {
        var _this = this;
        if (opt) {
            if (!this._chart) {
                this._chart = this.createChart();
                // subscribe to _resize$ and debounced
                this._resizeSub = this._resize$.debounceTime(50).subscribe(function () {
                    if (_this._chart) {
                        _this._chart.resize();
                    }
                });
                // output echart instance:
                this.chartInit.emit(this._chart);
                // register events:
                this.registerEvents(this._chart);
            }
            this._chart.setOption(this.options, true);
            /**
             * Bugfix: Line chart is not animated on init
             * https://github.com/xieziyu/ngx-echarts/issues/102
             */
            // this._chart.resize();
        }
    };
    /**
     * @param {?} _chart
     * @return {?}
     */
    NgxEchartsDirective.prototype.registerEvents = function (_chart) {
        var _this = this;
        if (_chart) {
            // register mouse events:
            _chart.on('click', function (e) { return _this._ngZone.run(function () { return _this.chartClick.emit(e); }); });
            _chart.on('dblClick', function (e) { return _this._ngZone.run(function () { return _this.chartDblClick.emit(e); }); });
            _chart.on('mousedown', function (e) { return _this._ngZone.run(function () { return _this.chartMouseDown.emit(e); }); });
            _chart.on('mouseup', function (e) { return _this._ngZone.run(function () { return _this.chartMouseUp.emit(e); }); });
            _chart.on('mouseover', function (e) { return _this._ngZone.run(function () { return _this.chartMouseOver.emit(e); }); });
            _chart.on('mouseout', function (e) { return _this._ngZone.run(function () { return _this.chartMouseOut.emit(e); }); });
            _chart.on('globalout', function (e) { return _this._ngZone.run(function () { return _this.chartGlobalOut.emit(e); }); });
            _chart.on('contextmenu', function (e) { return _this._ngZone.run(function () { return _this.chartContextMenu.emit(e); }); });
            // other events;
            _chart.on('datazoom', function (e) { return _this._ngZone.run(function () { return _this.chartDataZoom.emit(e); }); });
        }
    };
    /**
     * @return {?}
     */
    NgxEchartsDirective.prototype.clear = function () {
        if (this._chart) {
            this._chart.clear();
        }
    };
    /**
     * @param {?} loading
     * @return {?}
     */
    NgxEchartsDirective.prototype.toggleLoading = function (loading) {
        if (this._chart) {
            loading ? this._chart.showLoading(this.loadingType, this.loadingOpts) : this._chart.hideLoading();
        }
    };
    /**
     * @param {?} option
     * @param {?=} opts
     * @return {?}
     */
    NgxEchartsDirective.prototype.setOption = function (option, opts) {
        if (this._chart) {
            this._chart.setOption(option, opts);
        }
    };
    return NgxEchartsDirective;
}());
NgxEchartsDirective.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["s" /* Directive */], args: [{
                selector: 'echarts, [echarts]'
            },] },
];
/**
 * @nocollapse
 */
NgxEchartsDirective.ctorParameters = function () { return [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */], },
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["M" /* NgZone */], },
]; };
NgxEchartsDirective.propDecorators = {
    'options': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */] },],
    'theme': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */] },],
    'loading': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */] },],
    'initOpts': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */] },],
    'merge': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */] },],
    'autoResize': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */] },],
    'loadingType': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */] },],
    'loadingOpts': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */] },],
    'chartInit': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartClick': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartDblClick': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartMouseDown': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartMouseUp': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartMouseOver': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartMouseOut': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartGlobalOut': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartContextMenu': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'chartDataZoom': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["O" /* Output */] },],
    'onWindowResize': [{ type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["y" /* HostListener */], args: ['window:resize', ['$event'],] },],
};
/**
 * Provide an wrapper for global echarts
 * ```typescript
 * export class AppComponent implements onInit {
 *   constructor(private nes: NgxEchartsService) {}
 *
 *   ngOnInit() {
 *     // const points = ...;
 *     // const rect = ...;
 *
 *     // Get native global echarts object, then call native function
 *     const echarts = this.nes.echarts;
 *     const points = echarts.graphic.clipPointsByRect(points, rect);
 *
 *     // Or call wrapper function directly:
 *     const points = this.nes.graphic.clipPointsByRect(points, rect);
 *   }
 * }
 * ```
 */
var NgxEchartsService = (function () {
    function NgxEchartsService() {
    }
    Object.defineProperty(NgxEchartsService.prototype, "echarts", {
        /**
         * Get global echarts object
         * @return {?}
         */
        get: function () {
            return echarts;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "graphic", {
        /**
         * Wrapper for echarts.graphic
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.graphic : undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "init", {
        /**
         * Wrapper for echarts.init
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.init : undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "connect", {
        /**
         * Wrapper for echarts.connect
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.connect : undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "disconnect", {
        /**
         * Wrapper for echarts.disconnect
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.disconnect : undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "dispose", {
        /**
         * Wrapper for echarts.dispose
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.dispose : undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "getInstanceByDom", {
        /**
         * Wrapper for echarts.getInstanceByDom
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.getInstanceByDom : undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "registerMap", {
        /**
         * Wrapper for echarts.registerMap
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.registerMap : undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "getMap", {
        /**
         * Wrapper for echarts.getMap
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.getMap : undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NgxEchartsService.prototype, "registerTheme", {
        /**
         * Wrapper for echarts.registerTheme
         * @return {?}
         */
        get: function () {
            return this._checkEcharts() ? echarts.registerTheme : undefined;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    NgxEchartsService.prototype._checkEcharts = function () {
        if (echarts) {
            return true;
        }
        else {
            console.error('[ngx-echarts] global ECharts not loaded');
            return false;
        }
    };
    return NgxEchartsService;
}());
NgxEchartsService.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */] },
];
/**
 * @nocollapse
 */
NgxEchartsService.ctorParameters = function () { return []; };
var NgxEchartsModule = (function () {
    function NgxEchartsModule() {
    }
    return NgxEchartsModule;
}());
NgxEchartsModule.decorators = [
    { type: __WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */], args: [{
                declarations: [
                    NgxEchartsDirective
                ],
                exports: [
                    NgxEchartsDirective
                ],
                providers: [
                    NgxEchartsService
                ]
            },] },
];
/**
 * @nocollapse
 */
NgxEchartsModule.ctorParameters = function () { return []; };
/**
 * Generated bundle index. Do not edit.
 */

//# sourceMappingURL=ngx-echarts.es5.js.map


/***/ }),

/***/ 754:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return machineStaticPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Constants__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_StorageService__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__machine_home_service__ = __webpack_require__(728);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Utils__ = __webpack_require__(155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_alert_service__ = __webpack_require__(154);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var machineStaticPage = /** @class */ (function () {
    function machineStaticPage(navCtrl, _Utils, _StorageService, _machineHomeService, _AlertService) {
        this.navCtrl = navCtrl;
        this._Utils = _Utils;
        this._StorageService = _StorageService;
        this._machineHomeService = _machineHomeService;
        this._AlertService = _AlertService;
        this.allArea = 0;
        this.allStandArea = 0;
        this.summaryInfo = {
            currentMonthArea: 0,
            currentMonthStandardArea: 0,
            previousMonthArea: 0,
            previousMonthStandardArea: 0
        };
        this.searchYear = '';
        this.searchMonth = '';
        this.searchSummaryInfo = {
            extra1: 0,
            extra2: 0,
            extra3: 0
        };
        this.chartData = {
            workAreaCountMonth: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
            standardAreaCountMonth: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        };
        this.options = {};
    }
    // 初始化地图
    machineStaticPage.prototype.ionViewDidLoad = function () {
        this.userInfo = this._StorageService.read(__WEBPACK_IMPORTED_MODULE_2__providers_Constants__["q" /* USER_INFO */]);
        var today = new Date();
        var currentMonth = this._Utils.DateFormat(today, 'yyyyMM');
        var previousMonth = this._Utils.getPreviousMonth(this._Utils.DateFormat(today)).replace('-', '');
        this.getSummaryInfo(previousMonth, currentMonth);
        this.getAllInfo();
        this.searchYear = currentMonth.substr(0, 4);
        this.searchMonth = currentMonth.substr(4, 2);
    };
    machineStaticPage.prototype.onChartInit = function (ec) {
        this.eChartsInstance = ec;
    };
    // 获取统计信息 -- 本月和上月
    machineStaticPage.prototype.getSummaryInfo = function (startTime, endTime) {
        var _this = this;
        var params = {
            controllertype: '1040',
            province: this.userInfo.province,
            city: this.userInfo.city,
            village: this.userInfo.village,
            workadress: this.userInfo.prefecture,
            cooperativename: this.userInfo.cooperativename,
            starttime: startTime,
            endtime: endTime,
            usertype: this.userInfo.usertype,
            cooperativeid: this.userInfo.cooperative,
            customerid: this.userInfo.objid
        };
        this._machineHomeService.getSummaryInfo(params).subscribe(function (data) {
            var dataArray = data.Entity && data.Entity != 'null' ? JSON.parse(data.Entity) : [];
            _this.summaryInfo = {
                currentMonthArea: 0,
                currentMonthStandardArea: 0,
                previousMonthArea: 0,
                previousMonthStandardArea: 0
            };
            dataArray.forEach(function (item) {
                if (item.starttime == startTime) {
                    _this.summaryInfo.currentMonthArea += Number(item.workareacount);
                    _this.summaryInfo.currentMonthStandardArea += Number(item.extra1);
                }
                else {
                    _this.summaryInfo.previousMonthArea += Number(item.workareacount);
                    _this.summaryInfo.previousMonthStandardArea += Number(item.extra1);
                }
            });
        });
    };
    // 获取统计信息 -- 全年
    machineStaticPage.prototype.getAllInfo = function () {
        var _this = this;
        var time = new Date().getFullYear();
        var params = {
            controllertype: '1040',
            province: this.userInfo.province,
            city: this.userInfo.city,
            village: this.userInfo.village,
            workadress: this.userInfo.prefecture,
            cooperativename: this.userInfo.cooperativename,
            starttime: time + '0101',
            endtime: time + '1231',
            usertype: this.userInfo.usertype,
            cooperativeid: this.userInfo.cooperative,
            customerid: this.userInfo.objid
        };
        this._machineHomeService.getSummaryInfo(params).subscribe(function (data) {
            var dataArray = data.Entity && data.Entity != 'null' ? JSON.parse(data.Entity) : [];
            _this.allArea = 0;
            _this.allStandArea = 0;
            dataArray.forEach(function (item) {
                _this.allArea += Number(item.workareacount);
                _this.allStandArea += Number(item.extra1);
            });
        });
    };
    // 获取搜索统计信息
    machineStaticPage.prototype.getSearchSummaryInfo = function () {
        var _this = this;
        if (this.searchYear != '' && this.searchMonth != '') {
            this.getSummaryInfoChart();
            var params = {
                controllertype: '1040',
                province: this.userInfo.province,
                city: this.userInfo.city,
                village: this.userInfo.village,
                workadress: this.userInfo.prefecture,
                cooperativename: this.userInfo.cooperativename,
                starttime: this.searchYear + this.searchMonth,
                endtime: this.searchYear + this.searchMonth,
                usertype: this.userInfo.usertype,
                cooperativeid: this.userInfo.cooperative,
                customerid: this.userInfo.objid
            };
            this._machineHomeService.getSummaryInfo(params).subscribe(function (data) {
                var dataArray = data.Entity && data.Entity != 'null' ? JSON.parse(data.Entity) : [];
                _this.searchSummaryInfo = {
                    extra1: 0,
                    extra2: 0,
                    extra3: 0
                };
                dataArray.forEach(function (item) {
                    _this.searchSummaryInfo.extra1 += Number(Number(item.extra1).toFixed(2));
                    _this.searchSummaryInfo.extra2 += Number(Number(item.extra2).toFixed(2));
                    _this.searchSummaryInfo.extra3 += Number(Number(item.extra3).toFixed(2));
                });
            });
        }
    };
    machineStaticPage.prototype.getSummaryInfoChart = function () {
        var _this = this;
        if (this.searchYear != '' && this.searchMonth != '') {
            var params = {
                controllertype: '1040',
                province: this.userInfo.province,
                city: this.userInfo.city,
                village: this.userInfo.village,
                workadress: this.userInfo.prefecture,
                cooperativename: this.userInfo.cooperativename,
                starttime: this.searchYear + this.searchMonth + '01',
                endtime: this.searchYear + this.searchMonth + '31',
                usertype: this.userInfo.usertype,
                cooperativeid: this.userInfo.cooperative,
                customerid: this.userInfo.objid
            };
            this._machineHomeService.getSummaryInfo(params).subscribe(function (res) {
                _this.chartData = {
                    workAreaCountMonth: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
                    standardAreaCountMonth: [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
                };
                var dataArray = res.Entity && res.Entity != 'null' ? JSON.parse(res.Entity) : [];
                dataArray.forEach(function (item) {
                    var index = Number(item.starttime.substr(6)) - 1;
                    _this.chartData.workAreaCountMonth[index] += item.workareacount;
                    _this.chartData.standardAreaCountMonth[index] += item.extra1;
                });
                var newWorkArea = [];
                var newStandArea = [];
                var AreaB = [];
                _this.chartData.workAreaCountMonth.forEach(function (item) {
                    newWorkArea.push(item.toFixed(2));
                });
                _this.chartData.standardAreaCountMonth.forEach(function (item) {
                    newStandArea.push(item.toFixed(2));
                });
                var currentPoint = _this;
                if (currentPoint.eChartsInstance) {
                    var option_1 = currentPoint.eChartsInstance.getOption();
                    // option.backgroundColor = 'rgba(0, 0, 0, 0.65)';
                    option_1.grid = {
                        bottom: 30,
                        top: 40,
                        left: 55,
                        right: 20
                    };
                    option_1.tooltip = {
                        trigger: 'axis',
                        axisPointer: {
                            type: 'cross'
                        }
                    };
                    option_1.xAxis = {
                        data: ['01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '25', '26', '27', '28', '29', '30', '31'],
                        axisTick: {
                            show: false,
                        },
                        axisLabel: {
                            color: '#666',
                        },
                        axisLine: {
                            lineStyle: {
                                type: 'solid',
                                color: '#c3c3c1',
                                width: '1  ',
                            },
                        },
                        splitLine: {
                            lineStyle: {
                                color: '#c3c3c1',
                                width: 1,
                                type: 'dash'
                            }
                        }
                    };
                    option_1.yAxis = {
                        // boundaryGap: [0, 0.1],
                        splitLine: {
                            show: true,
                            lineStyle: {
                                color: '#c3c3c1',
                                width: 1,
                                type: 'dash'
                            }
                        },
                        axisTick: {
                            show: false,
                        },
                        axisLabel: {
                            color: '#666',
                        },
                        axisLine: {
                            show: false,
                            lineStyle: {
                                color: '#c3c3c1',
                                width: 1,
                                type: 'solid'
                            }
                        },
                    };
                    option_1.legend = {
                        data: ['作业面积', '合格面积'],
                        top: 10,
                        textStyle: {
                            color: '#666'
                        }
                    };
                    option_1.series = [
                        {
                            name: '作业面积',
                            type: 'bar',
                            // barWidth: '30%',
                            data: newWorkArea,
                            itemStyle: {
                                color: '#F03D3D'
                            }
                        },
                        {
                            name: '合格面积',
                            type: 'bar',
                            // barWidth: '30%',
                            data: newStandArea,
                            itemStyle: {
                                color: '#7DD221'
                            }
                        }
                    ];
                    setTimeout(function () {
                        currentPoint.eChartsInstance.setOption(option_1);
                        currentPoint.eChartsInstance.resize();
                    }, 300);
                }
            });
        }
    };
    // 跳转到订单列表
    machineStaticPage.prototype.goToAPPOrderList = function () {
        this.navCtrl.push('AppOrderListPage');
    };
    machineStaticPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'Page-machine-static-page',template:/*ion-inline-start:"D:\project\njapp\farmapp\farms.app\src\pages\machine-home\machine-static-page\machine-static-page.html"*/'<ion-header>\n  <ion-navbar color="dark">\n    <ion-title>作业统计</ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content>\n  <!-- 时间线 -->\n  <div class="time-container">\n    <ion-row>\n      <ion-col col-4 text-center class="time-title">时间线</ion-col>\n      <ion-col col-4 text-center class="time-title">作业面积</ion-col>\n      <ion-col col-4 text-center class="time-title">合格面积</ion-col>\n    </ion-row>\n    <ion-row>\n      <ion-col col-4 text-center class="aq-vertical-center">\n        <span class="red-point"></span>\n        <span class="aq-text-size-medium">上月</span>\n      </ion-col>\n      <ion-col col-4 text-center class="aq-vertical-center aq-text-size-medium">\n        {{ summaryInfo.currentMonthArea.toFixed(2) }} 亩\n      </ion-col>\n      <ion-col col-4 text-center class="aq-vertical-center aq-text-size-medium">\n        {{ summaryInfo.currentMonthStandardArea.toFixed(2) }} 亩\n      </ion-col>\n    </ion-row>\n    <ion-row class="aq-margin-top-12">\n      <ion-col col-4 text-center class="aq-vertical-center">\n        <span class="red-point yellow-point"></span>\n        <span class="aq-text-size-medium">本月</span>\n      </ion-col>\n      <ion-col col-4 text-center class="aq-vertical-center aq-text-size-medium">\n        {{ summaryInfo.previousMonthArea.toFixed(2) }} 亩\n      </ion-col>\n      <ion-col col-4 text-center class="aq-vertical-center aq-text-size-medium">\n        {{ summaryInfo.previousMonthStandardArea.toFixed(2) }} 亩\n      </ion-col>\n    </ion-row>\n    <ion-row class="aq-margin-top-12">\n      <ion-col col-4 text-center class="aq-vertical-center">\n        <span class="red-point green-point"></span>\n        <span class="aq-text-size-medium">全年</span>\n      </ion-col>\n      <ion-col col-4 text-center class="aq-vertical-center aq-text-size-medium">\n        {{allArea.toFixed(2)}}亩\n      </ion-col>\n      <ion-col col-4 text-center class="aq-vertical-center aq-text-size-medium">\n        {{allStandArea.toFixed(2)}}亩\n      </ion-col>\n    </ion-row>\n  </div>\n\n  <ion-row>\n    <ion-col col-12 text-left class="divider-title">\n      作业面积分析情况\n    </ion-col>\n  </ion-row>\n  <ion-list class="aq-margin-bottom-4">\n    <ion-item class="item-height aq-text-size-medium">\n      <ion-label>选择年份</ion-label>\n      <ion-select placeholder="请选择年份" interface="popover" class="aq-text-size-medium" type="text" text-right [(ngModel)]="searchYear" (ionChange)="getSearchSummaryInfo()">\n        <ion-option value="2017">2017年</ion-option>\n        <ion-option value="2018">2018年</ion-option>\n        <ion-option value="2019">2019年</ion-option>\n        <ion-option value="2020">2020年</ion-option>\n      </ion-select>\n    </ion-item>\n    <ion-item class="item-height aq-text-size-medium border-bottom">\n      <ion-label>选择月份</ion-label>\n      <ion-select placeholder="请选择月份" interface="popover" class="aq-text-size-medium" type="text" text-right [(ngModel)]="searchMonth" (ionChange)="getSearchSummaryInfo()">\n        <ion-option value="01">1月</ion-option>\n        <ion-option value="02">2月</ion-option>\n        <ion-option value="03">3月</ion-option>\n        <ion-option value="04">4月</ion-option>\n        <ion-option value="05">5月</ion-option>\n        <ion-option value="06">6月</ion-option>\n        <ion-option value="07">7月</ion-option>\n        <ion-option value="08">8月</ion-option>\n        <ion-option value="09">9月</ion-option>\n        <ion-option value="10">10月</ion-option>\n        <ion-option value="11">11月</ion-option>\n        <ion-option value="12">12月</ion-option>\n      </ion-select>\n    </ion-item>\n  </ion-list>\n\n  <!-- 作业面积 -->\n  <div class="area-container" *ngIf="searchYear != \'\' && searchMonth != \'\' ">\n    <ion-row>\n      <ion-col col-4 text-center no-padding class="value magist">\n        {{ searchSummaryInfo.extra1 }}\n      </ion-col>\n      <ion-col col-4 text-center no-padding class="value magist">\n        {{ searchSummaryInfo.extra2 }}\n      </ion-col>\n      <ion-col col-4 text-center no-padding class="value magist">\n        {{ searchSummaryInfo.extra3 }}\n      </ion-col>\n    </ion-row>\n    <ion-row>\n      <ion-col col-4 text-center class="aq-text-size-medium">\n        合格面积<span class="unit">(亩)</span>\n      </ion-col>\n      <ion-col col-4 text-center class="aq-text-size-medium">\n        A级合格面积<span class="unit">(亩)</span>\n      </ion-col>\n      <ion-col col-4 text-center class="aq-text-size-medium">\n        B级合格面积<span class="unit">(亩)</span>\n      </ion-col>\n    </ion-row>\n  </div>\n\n  <div class="summary-chart">\n    <ion-row>\n      <ion-col col-12>\n        <div id="summary-chart" style="height: 240px;" echarts [options]=\'options\' (chartInit)="onChartInit($event)"></div>\n      </ion-col>\n      <ion-col col-12 text-center *ngIf="searchMonth != \'\' && searchYear != \'\'">\n        <div class="btn-detail">\n          <button (click)="goToAPPOrderList()" ion-button block color="secondary">\n            查看详情\n          </button>\n        </div>\n      </ion-col>\n    </ion-row>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\project\njapp\farmapp\farms.app\src\pages\machine-home\machine-static-page\machine-static-page.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */],
            __WEBPACK_IMPORTED_MODULE_3__providers_StorageService__["a" /* StorageService */],
            __WEBPACK_IMPORTED_MODULE_4__machine_home_service__["a" /* machineHomeService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_alert_service__["a" /* AlertService */]])
    ], machineStaticPage);
    return machineStaticPage;
}());

//# sourceMappingURL=machine-static-page.js.map

/***/ })

});
//# sourceMappingURL=12.js.map