webpackJsonp([15],{

/***/ 718:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserRegisterModule", function() { return UserRegisterModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__user_register_page__ = __webpack_require__(765);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__register_home_service__ = __webpack_require__(729);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var UserRegisterModule = /** @class */ (function () {
    function UserRegisterModule() {
    }
    UserRegisterModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__user_register_page__["a" /* userRegisterPage */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__user_register_page__["a" /* userRegisterPage */]),
            ],
            providers: [__WEBPACK_IMPORTED_MODULE_3__register_home_service__["a" /* registerHomeService */]],
            exports: [__WEBPACK_IMPORTED_MODULE_2__user_register_page__["a" /* userRegisterPage */]]
        })
    ], UserRegisterModule);
    return UserRegisterModule;
}());

//# sourceMappingURL=user-register-page.module.js.map

/***/ }),

/***/ 729:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return registerHomeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Constants__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var registerHomeService = /** @class */ (function () {
    function registerHomeService(httpService) {
        this.httpService = httpService;
    }
    //获取地址联动
    registerHomeService.prototype.getAddressLinkageApi = function (objectid) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdownprovince';
        var postBody = {
            objectid: objectid
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //获取合作社列表
    registerHomeService.prototype.getCooperativeListApi = function (Province, City, Village, Prefecture) {
        if (Prefecture === void 0) { Prefecture = ""; }
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/province/getdropdowncooperatives';
        var postBody = {
            Province: Province,
            City: City,
            Village: Village,
            Prefecture: Prefecture
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户注册
    registerHomeService.prototype.userRegisterApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/register/register';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //合作社注册
    registerHomeService.prototype.cooperativeCreateApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/cooperative/create';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //用户登录
    registerHomeService.prototype.userLoginApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/login';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    registerHomeService.prototype.findPasswordApi = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    // 修改密码
    registerHomeService.prototype.updatePassword = function (postBody) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["a" /* APP_SERVE_URL */] + '/api/login/resetpassword';
        return this.httpService.httpPost(url, postBody).map(function (res) { return res; });
    };
    //发送验证码
    registerHomeService.prototype.sendCodeApi = function (mobile) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/sendcode';
        var postBody = {
            mobile: mobile,
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    //校验短信验证码
    registerHomeService.prototype.verifyCodeApi = function (mobile, code) {
        var url = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["e" /* FAPP_SERVE_URL */] + '/api/sms/verifycode';
        var postBody = {
            mobile: mobile,
            code: code
        };
        return this.httpService.httpGet(url, postBody).map(function (res) { return res; });
    };
    // 用户登录
    registerHomeService.prototype.getGeoCode = function (address) {
        var url = 'http://api.tianditu.gov.cn/geocoder?ds={"keyWord":"' + address + '"}&tk=b46ebf7c5ab36f4089c8736ca303f14e';
        return this.httpService.httpGet(url, null).map(function (res) { return res; });
    };
    registerHomeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */]])
    ], registerHomeService);
    return registerHomeService;
}());

//# sourceMappingURL=register-home.service.js.map

/***/ }),

/***/ 765:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return userRegisterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_alert_service__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_StorageService__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_GlobalData__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Constants__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__register_home_service__ = __webpack_require__(729);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


//service



//model


var userRegisterPage = /** @class */ (function () {
    function userRegisterPage(navCtrl, _registerHomeService, _GlobalData, _AlertService, _StorageService) {
        this.navCtrl = navCtrl;
        this._registerHomeService = _registerHomeService;
        this._GlobalData = _GlobalData;
        this._AlertService = _AlertService;
        this._StorageService = _StorageService;
        //验证码倒计时
        this.verifyCode = {
            verifyCodeTips: "获取验证码",
            countdown: 60,
            disable: false
        };
        this.sphone = '';
        this.scode = '';
        this.passwords = '';
        this.repassword = '';
        this.wxInfo = this._StorageService.read(__WEBPACK_IMPORTED_MODULE_5__providers_Constants__["v" /* WX_INFO */]);
    }
    // 短信倒计时
    userRegisterPage.prototype.setTime = function () {
        var _this = this;
        this.verifyCode.disable = true;
        if (this.verifyCode.countdown == 1) {
            this.verifyCode.countdown = 60;
            this.verifyCode.verifyCodeTips = "重新获取";
            this.verifyCode.disable = false;
            return;
        }
        else {
            this.verifyCode.countdown--;
        }
        this.verifyCode.verifyCodeTips = "重新获取(" + this.verifyCode.countdown + ")";
        setTimeout(function () {
            _this.verifyCode.verifyCodeTips = "重新获取(" + _this.verifyCode.countdown + ")";
            _this.setTime();
        }, 1000);
    };
    // 发送短信
    userRegisterPage.prototype.sendCode = function () {
        var _this = this;
        console.log(this.mobile);
        // console.log(onenum);
        if (this.mobile !== undefined) {
            var onenum = this.mobile.substring(0, 1);
            if (this.mobile.length == 11 && onenum == '1') {
                this._registerHomeService.sendCodeApi(this.mobile).subscribe(function (data) {
                    console.log(data);
                    if (data.Entity.Message == '成功') {
                        _this.setTime();
                    }
                    else {
                        _this._AlertService.presentAlert(data.Entity.Message);
                    }
                });
                this.sphone = '';
            }
            else {
                this.sphone = '手机号格式有误';
            }
        }
        else {
            this.sphone = '请输入手机号';
        }
    };
    //校验
    userRegisterPage.prototype.verifySmsCode = function () {
        var _this = this;
        this.sphone = '';
        if (this.mobile == undefined) {
            this.sphone = '请输入手机号';
        }
        if (this.code !== '') {
            this._registerHomeService.verifyCodeApi(this.mobile, this.code).subscribe(function (data) {
                console.log(data);
                if (data.Entity.Code == 200) {
                    _this.scode = '';
                }
                else {
                    _this.scode = '验证码输入错误';
                }
            });
        }
        else {
            this.scode = '请输入验证码';
        }
        if (this.password !== undefined) {
            this.passwords = '';
            if (this.password.length >= 6) {
                this.passwords = '';
            }
            else {
                this.passwords = '密码长度不能小于6位';
            }
        }
        else {
            this.passwords = '请输入密码';
        }
        if (this.confirmPassword !== this.password) {
            this.repassword = '两次输入的密码不一致,请重新输入';
        }
        else {
            this.repassword = '';
        }
    };
    //用户注册
    userRegisterPage.prototype.moveToRoleSelectPage = function () {
        clearTimeout(this.time);
        this.verifySmsCode();
        var that = this;
        if (that.scode == '') {
            this.time = setTimeout(function () {
                console.log(that.scode);
                var data = {
                    "username": that.mobile,
                    "userphone": that.mobile,
                    "password": that.password,
                    "openid": that.wxInfo ? that.wxInfo.openid : '',
                };
                that._GlobalData.set(__WEBPACK_IMPORTED_MODULE_5__providers_Constants__["s" /* USER_REGISTER_INFO */], data);
                that.navCtrl.push('roleSelectPage', { data: data });
            }, 500);
        }
    };
    userRegisterPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'Page-user-register-page',template:/*ion-inline-start:"D:\project\njapp\farmapp\farms.app\src\pages\register-home\user-register-page\user-register-page.html"*/'<script src="user-register-page.ts"></script>\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title class="magist">注册</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content class="container-bg">\n\n  <ion-row class="aq-margin-top-36">\n\n    <ion-col col-9>\n\n      <span class="magist aq-text-color-black-core aq-text-size-large margin-top-m25" style="margin-left: 10%">手机号注册/登录</span>\n\n      <br>\n\n      <span style="font-size: 14px;font-weight: 600;color: gray;margin-left: 10%">快速获取您的农机信息，安全可靠</span>\n\n    </ion-col>\n\n  </ion-row>\n\n  <ion-row>\n\n    <ion-col col-12 padding-left padding-right>\n\n        <ion-item padding-right style="border-radius: 10px">\n\n          <ion-label style="color:black;" fixed>+86&nbsp;&nbsp;&nbsp;&nbsp;|\n\n                    </ion-label>\n\n          <ion-input style="margin-left: -45px" type="tel" placeholder="请输入手机号" [(ngModel)]="mobile"></ion-input>\n\n        </ion-item>\n\n        <p class="test">{{sphone}}</p>\n\n      <div class="bigbox" style="display: flex;border: 0.5px">\n\n        <ion-item class="box1" style="align-items: center">\n\n          <ion-input style="margin-top: 2%;margin-left: 27%" type="number" placeholder="请输入短信验证码"  [(ngModel)]="code"></ion-input>\n\n        </ion-item>\n\n        <button [ngClass]="{\'send\' : verifyCode?.disable}" item-end [disabled]="verifyCode?.disable" (click)="sendCode()" ion-button clear  class="btn"> {{verifyCode?.verifyCodeTips}}</button>\n\n      </div>\n\n      <p class="test">{{scode}}</p>\n\n      <ion-item padding-right style="border-radius: 10px;margin-top: 5%">\n\n        <ion-input  type="password" placeholder="请输入密码" [(ngModel)]="password"></ion-input>\n\n      </ion-item>\n\n        <p class="test">{{passwords}}</p>\n\n      <ion-item padding-right style="border-radius: 10px;margin-top: 5%">\n\n        <ion-input  type="password" placeholder="请确认密码" [(ngModel)]="confirmPassword"></ion-input>\n\n      </ion-item>\n\n        <p class="test">{{repassword}}</p>\n\n    </ion-col>\n\n      <button ion-button block round (click)="moveToRoleSelectPage()"\n\n              class="height-40 aq-margin-top-32 aq-text-color-white-core magist" style="background-color: green;width: 90%;margin: 0 auto;border-radius: 10px">下一步</button>\n\n  </ion-row>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\project\njapp\farmapp\farms.app\src\pages\register-home\user-register-page\user-register-page.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_6__register_home_service__["a" /* registerHomeService */], __WEBPACK_IMPORTED_MODULE_4__providers_GlobalData__["a" /* GlobalData */], __WEBPACK_IMPORTED_MODULE_2__providers_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_3__providers_StorageService__["a" /* StorageService */]])
    ], userRegisterPage);
    return userRegisterPage;
}());

//# sourceMappingURL=user-register-page.js.map

/***/ })

});
//# sourceMappingURL=15.js.map